# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "evento-query"
version = "1.0.0-alpha.7"
publish = true
description = "A collection of libraries and tools that help you build DDD, CQRS, and event sourcing."
documentation = "https://docs.rs/evento"
license = "Apache-2.0"
repository = "https://github.com/timayz/evento"

[dependencies.base64]
version = "0.21.5"

[dependencies.chrono]
version = "0.4.31"
features = [
    "clock",
    "serde",
]
default-features = false

[dependencies.futures-util]
version = "0.3.30"

[dependencies.harsh]
version = "0.2.2"

[dependencies.serde]
version = "1.0.193"
features = ["derive"]

[dependencies.sqlx]
version = "0.7.3"
features = [
    "runtime-tokio",
    "postgres",
    "chrono",
    "uuid",
    "json",
]
optional = true

[dependencies.thiserror]
version = "1.0.52"

[dev-dependencies.backoff]
version = "0.4.0"
features = [
    "futures",
    "tokio",
]

[dev-dependencies.parse-display]
version = "0.8.2"

[dev-dependencies.sqlx]
version = "0.7.3"
features = [
    "runtime-tokio",
    "postgres",
    "chrono",
    "uuid",
    "json",
    "any",
]

[dev-dependencies.tokio]
version = "1.35.1"
features = [
    "rt-multi-thread",
    "macros",
]

[dev-dependencies.tokio-shared-rt]
version = "0.1.0"

[dev-dependencies.uuid]
version = "1.6.1"
features = [
    "v4",
    "fast-rng",
    "macro-diagnostics",
    "serde",
]

[features]
default = []
full = ["pg"]
pg = ["dep:sqlx"]
